<%- include('./partials/header')%>
<%- include('./partials/file-start') %>
<h1><%= title %></h1>
<table id="leagues" class="table table-striped table-bordered w-100">
    <thead>
        <tr style="text-align: center; ">
            <th>Název</th>
        </tr>
    </thead>
</table>
<%- include('./partials/dataTables')%>
<script>
    $(document).ready(function () {
        API.league
            .list()
            .done((dataFromServer) => {
                console.log(dataFromServer)
                $('table#leagues').DataTable({
                    language: {
                        url: '/js/dataTables/myCzech.json'
                    },
                    order: [[0, "asc"]],
                    responsive: true,
                    data: dataFromServer,
                    columns: [
                        {
                            data: null,
                            fnCreatedCell: function (nTd, sData, oData, iRow, iCol) {
                                $(nTd).html(
                                    $('<a>', { href: `/competitions/${oData._id}` }).text(oData.name)
                                )
                            }
                        }
                    ],
                })
            })
    })
</script>
<%- include('./partials/footer') %>
<%- include('./partials/file-end') %>